import 'package:flutter/material.dart';
import 'package:admin/admin.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
 

  @override
  void initState() {
    super.initState();
    Admin.enable();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
 

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Column(
             mainAxisAlignment: MainAxisAlignment.spaceEvenly,
             children: [
               FlatButton(
                 color: Colors.pinkAccent,
               child: Text("lock"),
               onPressed: (){Admin.lock();},
             ),
              FlatButton(
                 color: Colors.pinkAccent,
               child: Text("setpassword"),
               onPressed: (){Admin.setPassword();},
             ),
              FlatButton(
                 color: Colors.pinkAccent,
               child: Text("DisableCamera"),
               onPressed: (){Admin.disableCamera(false);},
             ),
             ]
          ),
        ),
      ),
    );
  }
}
